# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate term

Name:           rust-%{crate}
Version:        0.5.1
Release:        5%{?dist}
Summary:        Terminal formatting library

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/term
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * No windows
# * add dirs dependency
# * Exclude CI files, https://github.com/Stebalien/term/pull/92
Patch0:         term-fix-metadata.diff

# https://github.com/Stebalien/term/commit/84cfdb51775b327fedf21784749d862fdffa10b4
Patch1:         0001-fix-warning-due-to-use-of-env-home_dir.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(byteorder/default) >= 1.2.1 with crate(byteorder/default) < 2.0.0)
BuildRequires:  (crate(dirs/default) >= 1.0.2 with crate(dirs/default) < 2.0.0)

%global _description \
A terminal formatting library.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Nov 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.1-5
- Exclude CI files

* Sat Nov 10 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.5.1-4
- Adapt to new packaging

* Tue Sep 18 2018 Josh Stone <jistone@redhat.com> - 0.5.1-3
- Fix env::home_dir deprecation

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu May 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.1-1
- Update to 0.5.1

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.6-4
- Rebuild for rust-packaging v5

* Sat Oct 21 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.6-3
- Rebuild to get dependency on cargo

* Sat Sep 23 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.6-2
- Exclude unneeded files

* Sun Jun 25 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.6-1
- Update to 0.4.6

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.5-2
- Port to use rust-packaging

* Sat Feb 18 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.5-1
- Initial package
